From 5098254b25f974f2750ca1b98d89dde0b317368b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Juho=20V=C3=A4h=C3=A4-Herttua?= <juhovh@iki.fi>
Date: Wed, 16 Jun 2010 10:20:04 +0300
Subject: [PATCH 2/2] Do not link to ole32 when trying to build Qt4 module on OSX

---
 configure.ac |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index ca00879..2758fea 100644
--- a/configure.ac
+++ b/configure.ac
@@ -3888,8 +3888,13 @@ AS_IF([test "${enable_qt4}" != "no"], [
         need_xid_provider="no"
         VLC_ADD_CXXFLAGS([qt4],[$QT4_CFLAGS ${X_CFLAGS}])
     ], [
-        VLC_ADD_LIBS([qt4],[$QT4_LIBS -lole32])
-        VLC_ADD_CXXFLAGS([qt4],[$QT4_CFLAGS])
+        AS_IF([test "${SYS}" != "darwin"], [
+            VLC_ADD_LIBS([qt4],[$QT4_LIBS -lole32])
+            VLC_ADD_CXXFLAGS([qt4],[$QT4_CFLAGS])
+        ], [
+            VLC_ADD_LIBS([qt4],[$QT4_LIBS])
+            VLC_ADD_CXXFLAGS([qt4],[$QT4_CFLAGS])
+        ])
     ])
     AC_PATH_PROGS(MOC, [moc-qt4 moc], moc,`eval $PKG_CONFIG --variable=exec_prefix QtCore`/bin)
     AC_PATH_PROG(RCC, rcc, rcc,`eval $PKG_CONFIG --variable=exec_prefix QtCore`/bin)
-- 
1.6.5.7

